summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-12-10 19:22:38 +0000
committerMike Frysinger <vapier@gentoo.org>2011-12-10 19:22:38 +0000
commitfc33cdb290370033ea1b00da71733a61a89be727 (patch)
tree5477e48d71a65dc088196ff892c99fb2b2401b1e
parentChange install location from /usr/lib to /usr/share. Use our own wrapper scri... (diff)
downloadhistorical-fc33cdb290370033ea1b00da71733a61a89be727.tar.gz
historical-fc33cdb290370033ea1b00da71733a61a89be727.tar.bz2
historical-fc33cdb290370033ea1b00da71733a61a89be727.zip
avoid `ls` when a shell glob works (to avoid possible `ls` issues)
-rw-r--r--eclass/gst-plugins10.eclass9
-rw-r--r--eclass/myspell.eclass6
2 files changed, 8 insertions, 7 deletions
diff --git a/eclass/gst-plugins10.eclass b/eclass/gst-plugins10.eclass
index 311e29c234b5..87bd85bc5190 100644
--- a/eclass/gst-plugins10.eclass
+++ b/eclass/gst-plugins10.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins10.eclass,v 1.4 2011/04/12 05:55:30 leio Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gst-plugins10.eclass,v 1.5 2011/12/10 19:22:38 vapier Exp $
# Author : foser <foser@gentoo.org>
@@ -70,9 +70,10 @@ gst-plugins10_remove_unversioned_binaries() {
# remove the unversioned binaries gstreamer provide
# this is to prevent these binaries to be owned by several SLOTs
- cd ${D}/usr/bin
- for gst_bins in `ls *-${PV_MAJ_MIN}`
- do
+ cd "${D}"/usr/bin
+ local gst_bins
+ for gst_bins in *-${PV_MAJ_MIN}; do
+ [[ -e ${gst_bins} ]] || continue
rm ${gst_bins/-${PV_MAJ_MIN}/}
einfo "Removed ${gst_bins/-${PV_MAJ_MIN}/}"
done
diff --git a/eclass/myspell.eclass b/eclass/myspell.eclass
index 09463a0f430f..680609dc2eba 100644
--- a/eclass/myspell.eclass
+++ b/eclass/myspell.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/myspell.eclass,v 1.6 2009/02/09 08:21:00 pva Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/myspell.eclass,v 1.7 2011/12/10 19:22:38 vapier Exp $
# Author: Kevin F. Quinn <kevquinn@gentoo.org>
# Packages: app-dicts/myspell-*
@@ -146,8 +146,8 @@ myspell_src_install() {
done
doins ${dictlst} || die "Failed to install ${dictlst}"
# Install any txt files (usually README.txt) as documentation
- for filen in $(ls *.txt 2> /dev/null); do
- dodoc ${filen}
+ for filen in *.txt; do
+ [[ -s ${filen} ]] && dodoc ${filen}
done
}